Loading...
Searching...
No Matches
Opm::NewtonMethodParams< Scalar > Struct Template Reference

Struct holding the parameters for NewtonMethod. More...

`#include <newtonmethodparams.hpp>`

## Public Member Functions

void | read ()
| Reads the parameter values from the parameter system.

## Static Public Member Functions

static void | registerParameters ()
| Registers the parameters in parameter system.

## Public Attributes

bool | verbose_
bool | writeConvergence_
int | targetIterations_
| Optimal number of iterations we want to achieve.
int | maxIterations_
| Maximum number of iterations we do before giving up.
Scalar | tolerance_
Scalar | maxError_

## Detailed Description

template<class Scalar>
struct Opm::NewtonMethodParams< Scalar >

Struct holding the parameters for NewtonMethod.

The documentation for this struct was generated from the following files:

- opm/models/nonlinear/newtonmethodparams.hpp
- opm/models/nonlinear/newtonmethodparams.cpp